ARES_PARSE_URI_REPLY(3)

NAME
ares_parse_uri_reply - Parse a reply to a DNS query of type URI

SYNOPSIS
#include <ares.h>
int ares_parse_uri_reply(const unsigned char* abuf, int alen,
                         struct ares_uri_reply** uri_out);

DESCRIPTION
The ares_parse_uri_reply function parses the response to a query of type URI into a linked list of struct ares_uri_reply The parameters abuf and alen give the contents of the response. The result is stored in allocated memory and a pointer to it stored into the variable pointed to by uri_out. It is the caller's responsibility to free the resulting uri_out structure when it is no longer needed using the function ares_free_data

The structure ares_uri_reply contains the following fields:

struct ares_uri_reply {
    struct ares_uri_reply       *next;
    unsigned short              weight;
    unsigned short              priority;
    char                        *uri;
    int                         ttl;
};

RETURN VALUES
ares_parse_uri_reply can return any of the following values:

ARES_SUCCESS
    The response was successfully parsed.

ARES_EBADRESP
    The response was malformatted.

ARES_ENODATA
    The response did not contain an answer to the query.

ARES_ENOMEM
    Memory was exhausted.

AVAILABILITY

SEE ALSO
ares_query(3) ares_free_data(3)

AUTHOR
Written by Jan Petrasek <petrasek@tes.eu>